Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Actions
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
      POST
    • GET a list of documents
      GET
    • GET one document
      GET
    • POST (create) a batch of documents
      POST
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. Actions

POST (create) a reports action/generate a report

POST
/clients/{clientno}/actions/reports/{reporttype}
Creates one new reports action (generate a report request, ready for execution). About required input, see the description for each report type code

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK. The request succeeded
Body

🟢201
🟠422
🟠400BadRequest
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/clients//actions/reports/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "metadata": {
        "userId": "TestUser"
    },
    "action": {
        "report": {
            "includeSum": "includeSum",
            "adb": {
                "debtCollectionColumn": true,
                "intervals": [
                    {
                        "intervalNo": 1,
                        "intervalLength": 20
                    },
                    {
                        "intervalNo": 4,
                        "intervalLength": 40
                    },
                    {
                        "intervalNo": 5,
                        "intervalLength": 60
                    }
                ]
            }
        }
    }
}'
Response Response Example
200 - Action created, reports
{
    "status": "PROCESSED",
    "result": "CREATED",
    "message": "Action reports created and accepted for processing",
    "reportType": "adb",
    "clientNo": 2218,
    "jobQueueId": 908966
}
Modified at 2026-04-14 09:49:15
Previous
POST (create) an action
Next
ArItems
Built with